GET /inbox/conversations/{id}/messages/{messageId}/attachments/{index}

One attachment of a message as a URL that works now; authenticated: true when the URL is a Postgale route that needs the API key (WhatsApp media)

GET
/inbox/conversations/{id}/messages/{messageId}/attachments/{index}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Conversation id

messageId*string

Message id (Postgale or platform id)

index*string

Attachment index (0-based)

Response Body

{type, url, mimeType, authenticated?}

application/json
  1. response
type?string
url?string
mimeType?string|null
authenticated?boolean
Example Request
curl -X GET 'https://example.com/api/v1/inbox/conversations/string/messages/string/attachments/string'
Example Response
{  "type": "string",  "url": "string",  "mimeType": "string",  "authenticated": true}